#include <tinyNeoPixel.h>
#include <DHT.h>

#define DHTPIN 8 // Data pin for DHT
#define LEDPIN 0 //Data Pin for LEDs
#define NUM_LEDS 3 //Number of LEDs
#define DHTTYPE DHT11
uint8_t brightness = 255;
uint8_t hue = 0;
float t;
DHT dht(DHTPIN, DHTTYPE);
tinyNeoPixel lds[NUM_LEDS];
tinyNeoPixel strip = tinyNeoPixel(NUM_LEDS, LEDPIN, NEO_RGB);

void setup() {
  Serial.begin(9600);
  Serial.println("DHTxx test!");
  dht.begin();
  strip.begin();
//  tinyNeoPixel<WS2812B, LEDPIN, GRB>(lds, NUM_LEDS);
}

void loop() {

  // Wait between measurements.
  delay(250);
  // Reading temperature or humidity takes about 250 milliseconds!
  // Read temperature as Celsius (the default)
  t = dht.readTemperature();
  Serial.println(t);
  Serial.println(strip.getBrightness());
  if (t >25) {
    for (uint8_t i = 0; i < NUM_LEDS; i++) {
      strip.setPixelColor(i,   0,   255, 0);
    }
  }
  if (t <= 25 && t > 23) {
   for (uint8_t i = 0; i < NUM_LEDS; i++) {
      strip.setPixelColor(i,   123,   255, 0);
    }
  }
  if (t > 22 && t <= 23) {
    for (uint8_t i = 0; i < NUM_LEDS; i++) {
      strip.setPixelColor(i,   242,   255, 0);
    }
  }
  if (t <= 22 && t > 20) {
   for (uint8_t i = 0; i < NUM_LEDS; i++) {
      strip.setPixelColor(i,   208,   0, 255);
    }
  }
  if (t < 20) {
    for (uint8_t i = 0; i < NUM_LEDS; i++) {
      strip.setPixelColor(i,   0,   0, 255);
    }
  }

  
  strip.show();

  // Check if any reads failed and exit early (to try again).
  if (isnan(t) ) {
    Serial.println("Failed to read from DHT sensor!");
    return;
  }
/*
  Serial.print("Temperature: ");
  Serial.print(t);
  Serial.print(" *C ");
  Serial.print("Hue: ");
  Serial.print(hue);
  Serial.println();*/

}
